"use strict";

exports.__esModule = true;
exports.default = void 0;
var _default = {
  render: function render() {
    var _vm = this;

    var _h = _vm.$createElement;

    var _c = _vm._self._c || _h;

    return _c('div', {
      class: _vm.b('header')
    }, [_vm.showTitle ? _c('div', {
      class: _vm.b('header-title')
    }, [_vm._t("title", [_c('span', [_vm._v(_vm._s(_vm.title || "日期选择"))])])], 2) : _vm._e(), _vm.showSubtitle ? _c('div', {
      class: _vm.b('header-subtitle')
    }, [_vm._v("\n    " + _vm._s(_vm.subtitle) + "\n  ")]) : _vm._e(), _c('div', {
      class: _vm.b('weekdays')
    }, _vm._l(_vm.renderWeekDays, function (item, index) {
      return _c('span', {
        key: index,
        class: _vm.b('weekday')
      }, [_vm._v("\n      " + _vm._s(item) + "\n    ")]);
    }), 0)]);
  },
  name: "vm-header",
  props: {
    b: Function,
    title: String,
    subtitle: String,
    showTitle: Boolean,
    showSubtitle: Boolean,
    firstDayOfWeek: Number
  },
  data: function data() {
    return {
      weekdays: ["日", "一", "二", "三", "四", "五", "六"]
    };
  },
  computed: {
    renderWeekDays: function renderWeekDays() {
      var firstDayOfWeek = this.firstDayOfWeek,
          weekdays = this.weekdays;
      return [].concat(weekdays.slice(firstDayOfWeek, 7), weekdays.slice(0, firstDayOfWeek));
    }
  }
};
exports.default = _default;